Bug 52247 - Binding OpenSSH to IPv6 fails with Address family for hostname not supported.
Binding OpenSSH to IPv6 fails with Address family for hostname not supported.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 19:16 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-21 19:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-21 19:16:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3 i686)

Description of problem:
I have installed the OpenSSH package that comes with redhat 7.1 on a box
that has IPv6 enabled. The IPv6 adres is received from a RadvD on a RedHat
6.2 box. When I try to connect to the IPv6 adres of the host I get the
error that a connection is refused. 
When I remove the # in the sshd_config before the line "ListenAddress ::"
sshd will simply not start anymore, stating: Starting sshd:bad addr or
host: :: (Address family for hostname not supported).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install plain RedHat 7.1. 
2. Enable IPv6 and make sure the system has a valid IPv6 IP adres and valid
DNS AAAA entries.
3. Install OpenSSH package.
4. run /etc/rc.d/init.d/sshd start
5. run ssh -6 <localehostname>
	

Actual Results:  Secure connection to <localhostname> refused.


Expected Results:  I would expect a request for a password.
When doing ssh -4 <localhostname> everything works perfect.


Additional info:

I have tested the src.rpm package on a RedHat 6.2 system and there I got
exactly the same results. On the redhat 6.2 system I had to ignore the
dependency on initscripts => 5.20. But OpenSSH runs fine with initscripts =
5.0. But IPv6 is still not working.
Comment 1 Nalin Dahyabhai 2001-09-06 08:48:45 EDT
This, along with #45987, should be fixed when ipv6 support is re-enabled in
2.9p2-7 and later.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.